Bug 26816 - Remove extra space before comma in staff results item list
Summary: Remove extra space before comma in staff results item list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-24 23:54 UTC by Katrin Fischer
Modified: 2020-11-17 20:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 26816: Chomp whitespace around i18n strings (2.50 KB, patch)
2020-10-26 12:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26816: Chomp whitespace around i18n strings (2.56 KB, patch)
2020-10-29 18:45 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26816: Chomp whitespace around i18n strings (2.61 KB, patch)
2020-10-31 23:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-24 23:54:43 UTC
The result list in staff shows an additional space before the comma in the item listings on the right side.

Examples:

4 items , 3 available: 
4 items , None available
Comment 1 Owen Leonard 2020-10-26 12:06:47 UTC
Created attachment 112515 [details] [review]
Bug 26816: Chomp whitespace around i18n strings

This patch adds the chomp shorthand [%- -%] to the output of i18n.inc to
prevent extra spaces from being inserted.

To test, apply the patch and perform a catalog search in the staff
interface which will return results with multiple items.

In the items column, the availability information should not have
unwanted spaces:

3 items, 3 available:

...instead of

3 items , 3 available:
Comment 2 Katrin Fischer 2020-10-26 12:09:43 UTC
Thx a lot Owen, that one was nagging me.
Comment 3 ByWater Sandboxes 2020-10-29 18:45:38 UTC
Created attachment 112670 [details] [review]
Bug 26816: Chomp whitespace around i18n strings

This patch adds the chomp shorthand [%- -%] to the output of i18n.inc to
prevent extra spaces from being inserted.

To test, apply the patch and perform a catalog search in the staff
interface which will return results with multiple items.

In the items column, the availability information should not have
unwanted spaces:

3 items, 3 available:

...instead of

3 items , 3 available:

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 4 Katrin Fischer 2020-10-31 23:26:02 UTC
Created attachment 112777 [details] [review]
Bug 26816: Chomp whitespace around i18n strings

This patch adds the chomp shorthand [%- -%] to the output of i18n.inc to
prevent extra spaces from being inserted.

To test, apply the patch and perform a catalog search in the staff
interface which will return results with multiple items.

In the items column, the availability information should not have
unwanted spaces:

3 items, 3 available:

...instead of

3 items , 3 available:

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-11-02 10:06:01 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-16 18:39:29 UTC
backported to 20.05.x for 20.05.06
Comment 7 Aleisha Amohia 2020-11-17 05:14:45 UTC
enhancement, not backported to 19.11.x